/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <QDialog>
#include <QMainWindow>
/**
 * @file aboutdialog.h
 * @brief The dialog for information about the application.
 */

/** @brief AboutDialog of the admin application
  *
  * This is a specialized QDialog for the About information
  * of the administrator application.
  */
class AboutDialog : public QDialog
{
    Q_OBJECT
public:
    /** @brief Create the about dialog */
    AboutDialog(QMainWindow *parent);

private:
    /** @brief Create UI elements */
    void setupGUI();

};
#endif // ABOUTDIALOG_H
